Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024863
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2013-10-02 09:082013-10-03 01:20
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision16bf89788599
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-07-22
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/f796eda7fdee3d278f41e15e16c6a6d42bd94ecb [^]
Triggers an Emergency PackNo
Summary

0024863: Not possible to save a row on grid having a window personalization

DescriptionNot possible to save a row on grid having a window personalization.

You don't get any error, but after click on save the row is not saved.
The saving button get locked with the loading image.
Steps To Reproduce-Go to sales invoice window.
-Add some columns that are snot shown on the grid and change the order of the column
-Save a view and set as default and logout/login
-Go to the same window and try to add a row using only the keyboards.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00247413.0MP28 closedAugustoMauch Error when inserting a row on grid mode pressing tab key for selecting a value on a selector 
blocks defect 00249543.0MP29 closedAugustoMauch The insert on grid view does not work after get an error on a previous insert 

-  Notes
(0061522)
hgbot (developer)
2013-10-02 16:42

Repository: erp/devel/pi
Changeset: 16bf897885990f414b2251bd6206533c0ac13517
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Oct 02 16:41:19 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/16bf897885990f414b2251bd6206533c0ac13517 [^]

Fixes issue 24863: Not possible to save a row on grid having a window personalization

When doing a datasource requests, only sets the _savingNewRecord property to true if a record is being saved/updated. Before this it was being done also on fetchs and deletes, and could result on records being unabled to save.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view-datasource.js
---
(0061523)
shankarb (developer)
2013-10-02 17:03

Code reviewed and verified in pi changeset 16bf89788599.
(0061528)
hudsonbot (developer)
2013-10-03 01:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/484759f6f05c [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-10-02 09:08 egoitz New Issue
2013-10-02 09:08 egoitz Assigned To => AugustoMauch
2013-10-02 09:08 egoitz Modules => Core
2013-10-02 09:08 egoitz Triggers an Emergency Pack => No
2013-10-02 09:08 egoitz Relationship added related to 0024741
2013-10-02 09:35 egoitz Regression level => Production - QA Approved
2013-10-02 09:35 egoitz Regression date => 2013-07-22
2013-10-02 09:35 egoitz Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/f796eda7fdee3d278f41e15e16c6a6d42bd94ecb [^]
2013-10-02 09:39 egoitz Description Updated View Revisions
2013-10-02 16:41 AugustoMauch Issue Monitored: shankarb
2013-10-02 16:41 AugustoMauch Review Assigned To => shankarb
2013-10-02 16:42 hgbot Checkin
2013-10-02 16:42 hgbot Note Added: 0061522
2013-10-02 16:42 hgbot Status new => resolved
2013-10-02 16:42 hgbot Resolution open => fixed
2013-10-02 16:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/16bf897885990f414b2251bd6206533c0ac13517 [^]
2013-10-02 17:03 shankarb Note Added: 0061523
2013-10-02 17:03 shankarb Status resolved => closed
2013-10-02 17:03 shankarb Fixed in Version => 3.0MP28
2013-10-03 01:20 hudsonbot Checkin
2013-10-03 01:20 hudsonbot Note Added: 0061528
2013-10-16 12:53 egoitz Relationship added blocks 0024954


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker